summaryrefslogtreecommitdiffstats
path: root/ship
diff options
context:
space:
mode:
authormakefu <root@pigstarter.de>2013-12-30 03:46:31 +0100
committermakefu <root@pigstarter.de>2013-12-30 03:46:31 +0100
commitcc538a66dffe40de6bc699363dae4d80ea1aa149 (patch)
tree3482f2569a9290507621d52fb116f92e6000d318 /ship
parent1c96d86d8affa665bce215170748504e1790ba82 (diff)
//infest/bootstrap.sh -> //ship/src
Diffstat (limited to 'ship')
-rw-r--r--ship/src/get_repo22
1 files changed, 22 insertions, 0 deletions
diff --git a/ship/src/get_repo b/ship/src/get_repo
new file mode 100644
index 00000000..5476e650
--- /dev/null
+++ b/ship/src/get_repo
@@ -0,0 +1,22 @@
+#!/bin/sh
+#@info
+#@strict
+#@include punani
+# Can be overwritten before install
+
+KREBSDIR=${KREBSDIR:-/krebs}
+( is_root || ! test "$KREBSDIR" = "/krebs" ) || die "not running as root, stuff may not work. change KREBSDIR env to bootstrap somewhere else!";
+
+info "installing git to clone repo"
+punani install git
+
+[ -e "$KREBSDIR" ] && die "krebs dir already exists"
+
+git clone --depth 1 https://github.com/krebscode/painload.git "$KREBSDIR" || die "cloning failed :("
+
+cd $KREBSDIR || die "cannot change into $KREBSDIR folder:(" ;
+
+info "installing make"
+punani install make
+
+info "have a nice day"